using Otter;
using SuperRefluxPowergridDefense_.Scenes;

namespace SuperRefluxPowergridDefense_
{
    class Program
    {
        static void Main(string[] args)
        {
            Global.GAME = new Game("SuperRefluxPowergridDefense!", 720, 480);
            Global.GAME.MouseVisible = true;
            Global.GAME.SetWindow(1440, 960);
            Global.GAME.WindowX = 420;
            Global.GAME.WindowY = 10;
            var app = Global.PlayerSession = Global.GAME.AddSession("Player");
            var app2 = Global.Player2Session = Global.GAME.AddSession("Player2");
            app.Controller.AddButton("Enter");
            app.Controller.Button("Enter").AddKey(Key.Return);
            app.Controller.AddButton("M");
            app.Controller.Button("M").AddKey(Key.M);
            app.Controller.AddButton("W");
            app.Controller.Button("W").AddKey(Key.W);
            app.Controller.AddButton("A");
            app.Controller.Button("A").AddKey(Key.A);
            app.Controller.AddButton("S");
            app.Controller.Button("S").AddKey(Key.S);
            app.Controller.AddButton("D");
            app.Controller.Button("D").AddKey(Key.D);
            app.Controller.AddButton("Up");
            app.Controller.Button("Up").AddKey(Key.Up);
            app.Controller.AddButton("Down");
            app.Controller.Button("Down").AddKey(Key.Down);
            app.Controller.AddButton("Right");
            app.Controller.Button("Right").AddKey(Key.Right);
            app.Controller.AddButton("Left");
            app.Controller.Button("Left").AddKey(Key.Left);
            app.Controller.AddButton("R");
            app.Controller.Button("R").AddKey(Key.R);
            app.Controller.AddButton("E");
            app.Controller.Button("E").AddKey(Key.E);
            app.Controller.AddButton("Space");
            app.Controller.Button("Space").AddKey(Key.Space);
            app.Controller.AddButton("LeftMouseClick");
            app.Controller.Button("LeftMouseClick").AddMouseButton(MouseButton.Left);
            app.Controller.AddButton("RightMouseClick");
            app.Controller.Button("RightMouseClick").AddMouseButton(MouseButton.Right);

            new SoundManager();
            #region TESTING LEVELS
            Global.GAME.FirstScene = new LevelOne(); //testing! of course we are going to add a menu later. :-)
            #endregion
            //Global.GAME.FirstScene = new TitleScreen();
            Global.GAME.Start();
        }
    }
}
